## 2a6ea6cfe1f1eba0d3ed4cd90f05ecd09c66264f

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?=
SPHINXBUILD   ?= sphinx-build
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

manual: man
	sed -i "$(BUILDDIR)/man/zabbix-cli.1" -e 's/do_\(.*\)()/\1/g'

=== debian/changelog ===
zabbix-cli (2.3.1) unstable; urgency=medium

  [Marius Bakke]
  * New release 2.3.1.

 -- Marius Bakke <marius.bakke@usit.uio.no>  Mon, 17 Oct 2022 15:45:55 +0200

zabbix-cli (2.3.0) unstable; urgency=medium

  [Marius Bakke]
  * New release 2.3.0
  * Zabbix 6 compatibility.
  * Documentation updates.

 -- Marius Bakke <marius.bakke@usit.uio.no>  Tue, 21 Jun 2022 21:44:50 +0200

zabbix-cli (2.2.1) unstable; urgency=medium

  [Andreas Dobloug]
  * New release 2.2.1
  * Updated the build system to use pybuild and require python3

  [ Petter Reinholdtsen]
  * Changed source format to native as it build from upstream git
    repository.
  * Added Andreas as package uploader.

 -- Andreas Dobloug <andreas.dobloug@usit.uio.no>  Mon, 04 May 2020 16:42:00 +0200

zabbix-cli (1.7.0-2) UNRELEASED; urgency=medium

  * Use secure copyright file specification URI.
  * Remove unnecessary X-Python{,3}-Version field in debian/control.
  * Explicitly specify source format.
  * Set upstream metadata fields: Repository.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 23 Nov 2019 04:38:04 +0000

zabbix-cli (1.7.0-1) unstable; urgency=low

  * New release 1.7.0.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 01 Jun 2017 12:02:45 +0200

zabbix-cli (1.6.1-1) unstable; urgency=low

  * Initial upload to Debian (Closes: #842337).

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 17 Oct 2016 11:41:24 +0000

=== debian/control ===
Source: zabbix-cli
Section: misc
Priority: optional
Maintainer: Rafael Martinez Guerrero <rafael@e-mc2.net>
Uploaders:
 Andreas Dobloug <andreas.dobloug@usit.uio.no>
 , Petter Reinholdtsen <pere@debian.org>
Build-Depends: debhelper (>= 13)
  , debhelper-compat (= 13)
  , dh-python
  , python3-all
  , python3-setuptools
Standards-Version: 4.5.0
Homepage: https://github.com/unioslo/zabbix-cli
Vcs-Browser: https://github.com/unioslo/zabbix-cli
Vcs-Git: https://github.com/unioslo/zabbix-cli
XS-Python-Version: >= 3.7

Package: zabbix-cli
Architecture: all
Depends: ${misc:Depends}
 , ${python3:Depends}
 , python3-requests
Description: Command-line interface for Zabbix monitoring system
 Zabbix-cli is a terminal client for managing some Zabbix
 administration tasks via the zabbix-API.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=zabbix-cli

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=3

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/zabbix-cli-$1.tar.gz/" \
  https://github.com/unioslo/zabbix-cli/releases .*/archive/v?(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
